//             (C) by Florian Lindner 1998
//---------------------------------------------------------------------------
#ifndef FSysUtilH
#define FSysUtilH
//---------------------------------------------------------------------------
#include <vcl\SysUtils.hpp>
#include <vcl\Controls.hpp>
#include <vcl\Classes.hpp>
#include <vcl\Forms.hpp>
#include <vcl\Registry.hpp>
//---------------------------------------------------------------------------
class FSysUtil : public TComponent
{
private:
    int old01;
    int old02;
    int __fastcall schaltjahr(int);
    void __fastcall push(int);
    AnsiString __fastcall FContainer[];
protected:
public:
	__fastcall FSysUtil(TComponent* Owner);
    void __fastcall Plot(TCanvas *,int,int);
    void __fastcall Store(int,AnsiString);
    int __fastcall RGBtoHEX(int,int,int);
    int __fastcall HEXtoR(int);
    int __fastcall HEXtoG(int);
    int __fastcall HEXtoB(int);
    int __fastcall TagImJahr(int,int,int);
    int __fastcall Wochentag(int,int,int);
    int __fastcall Random(register int);
    long double __fastcall Betrag(long double);
    long double __fastcall Pi();
    long double __fastcall A_Kreis(long double);
    long double __fastcall A_Rechteck(long double,long double);
    long double __fastcall A_RDreieck(long double,long double);
    long double __fastcall U_Kreis(long double);
    long double __fastcall U_Rechteck(long double,long double);
    long double __fastcall U_RDreieck(long double,long double);
	long double __fastcall V_Quader(long double,long double,long double);
    long double __fastcall V_Kugel(long double);
    long double __fastcall V_Zylinder(long double,long double);
    long double __fastcall V_Kegel(long double,long double);
    long double __fastcall O_Kugel(long double);
    long double __fastcall O_Quader(long double,long double,long double);
    long double __fastcall O_Zylinder(long double,long double);
    long double __fastcall Pythagoras(long double,long double);
    long double __fastcall PythagorasEx(long double,long double,long double);
    long double __fastcall DEGtoRAD(long double);
    long double __fastcall RADtoDEG(long double);
    bool __fastcall Schaltjahr(int);
    AnsiString __fastcall Get(int);
    AnsiString __fastcall GetCharAtPos(int,AnsiString);
    AnsiString __fastcall SecondsToHMS(int);
    TColor __fastcall RGBtoColor(int,int,int);
    TPoint __fastcall PQ(double,double);
    TLabel *__fastcall CreateLabel(TWinControl *);
    TEdit *__fastcall CreateEdit(TWinControl *);
    TMemo *__fastcall CreateMemo(TWinControl *);
    TButton *__fastcall CreateButton(TWinControl *);
	TPanel *__fastcall CreatePanel(TWinControl *);
    TRegistry *__fastcall CreateRegistry();
__published:
};
//---------------------------------------------------------------------------
#endif
